v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/randnumberstatuses
Retrieves random number statuses. Rights: OrsRandListGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object Random Number Statuses Response
Title:
Random Number Statuses ResponseContains Random number status detail.
Nested Schema : Random Number Statuses Response
Type:
objectTitle:
Random Number Statuses ResponseContains Random number status detail.
Show Source
-
id: integer
(int64)
Title:
IDUnique ID.Example:10 -
randNumberStatus: string
Title:
Random Number StatusAllowed Values:[ "Unapproved", "Available", "Inactive", "Assigned", "Randomized in error" ]Random Number status.Example:Available
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples